%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Competition on Evolutionary Computation in the Energy Domain: 2025 Edition of the Risk-based Energy Scheduling
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% ALGORITMH: Modified CHAOTIC CAUCHY HC2RCEDUMDA (MCC_HC2RCEDUMDA)
%This algorithm is the modified version of the CC_HC2RCEDUMDA.
% The codes have been modified by the developers to propose MCC_HC2RCEDUMDA
%% Developers: 
% Main author: Dharmesh A. Dabhi, 
% Co-authors: 
% Kartik S. Pandya,Associate Professor (Electrical Engineering), Parul University, Vadodara, Gujarat, INDIA

    
MCC_HC2RCEDUMDAparameters.I_maxFits       =4131;              
MCC_HC2RCEDUMDAparameters.I_repeatEvals   = 1;                 

MCC_HC2RCEDUMDAparameters.maxEvals  = 4131; 

MCC_HC2RCEDUMDAparameters.I_initHC_itermax          =    1;  
MCC_HC2RCEDUMDAparameters.I_initHC_ratioFactor      = 0.060;  
MCC_HC2RCEDUMDAparameters.I_finalHC_ratioFactor     = 0.30;      
                                      
MCC_HC2RCEDUMDAparameters.I_NP      =                   70;     
MCC_HC2RCEDUMDAparameters.I_itermax =                  1000;  

MCC_HC2RCEDUMDAparameters.I_indByCell =                  2;     
MCC_HC2RCEDUMDAparameters.I_StructureWidth   =          35;     
MCC_HC2RCEDUMDAparameters.I_StructureHeight  =           1;     
MCC_HC2RCEDUMDAparameters.I_NeighborhoodType  =          1;     
MCC_HC2RCEDUMDAparameters.I_NeighborhoodParam =         16;     
           
MCC_HC2RCEDUMDAparameters.I_SelectionMethod   =          1;     
MCC_HC2RCEDUMDAparameters.I_Selected          =         25;     

MCC_HC2RCEDUMDAparameters.I_elitismParam      =         10;      

MCC_HC2RCEDUMDAparameters.I_CodeSize          =          3;    

MCC_HC2RCEDUMDAparameters.I_EstimationParamsMethod =     0;     
MCC_HC2RCEDUMDAparameters.I_EstimationParamsParam  =     0;     

MCC_HC2RCEDUMDAparameters.I_EstimationStructureMethod =  0;     
MCC_HC2RCEDUMDAparameters.I_EstimationStructureParam  =  0;       
MCC_HC2RCEDUMDAparameters.I_ScalerMethod      =          2;   
MCC_HC2RCEDUMDAparameters.I_ScalerParam       =         0.009; 


MCC_HC2RCEDUMDAparameters.I_SamplingMethod =             0;       
MCC_HC2RCEDUMDAparameters.I_SamplingParam  =             0;         
    
% result                                            1.5443



                                                      
dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_NP,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_NP,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_itermax,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_itermax,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_indByCell,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_indByCell,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_StructureWidth,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_StructureWidth,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_StructureHeight,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_StructureHeight,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_NeighborhoodType,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_NeighborhoodType,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_NeighborhoodParam,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_NeighborhoodParam,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_SelectionMethod,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_SelectionMethod,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_Selected,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_Selected,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_elitismParam,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_elitismParam,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_CodeSize ,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_CodeSize ,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_EstimationParamsMethod,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_EstimationParamsMethod,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_EstimationParamsParam,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_EstimationParamsParam,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_EstimationStructureMethod,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_EstimationStructureMethod,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_EstimationStructureMethod,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_EstimationStructureMethod,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_EstimationStructureParam,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_EstimationStructureParam,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_ScalerMethod,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_ScalerMethod,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_ScalerParam,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_ScalerParam,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_SamplingMethod,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_SamplingMethod,'-append');

dlmwrite('rf.txt',MCC_HC2RCEDUMDAparameters.I_SamplingParam,'-append');
dlmwrite('rv.txt',MCC_HC2RCEDUMDAparameters.I_SamplingParam,'-append');
